-- 基础信息
base_info = {
	group_id = 235800002
}

-- DEFS_MISCS
defs = {
    MainGroupID = 235800001,
    GroupID = 235800002,
    GalleryID = 6003,
    Pos_Range = { x = 1.98, y = 1.98 },
    FloorGadgetID = {70310037,70310045,70310046,70310047},
    AirWallGadgetID = {2001,2004,2003,2008},
    FallRegionConfigID =  2005,
    RevivePoint = {pos = {x=-315.5, y= 21.56, z=18.3},
                   radius = 2, rot = {x=0, y=180, z=0}},
    FlowerGadgetID = 70350187,
    FlowerNumRange = {min =2, max = 4},
    FlowerHeight = 2,
    TimeOutScore = 60,
    FallScore = -10
}

local regionIndex = 2009

local PhasePlay={
    [1] = {
        FloorArray_Size = { x = 10, y = 10 },
        InitFloorStyle = {
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 }
        },
        Pos_Standard = { x = -323.949, y = 20.583, z = 3.217 },
        Rot_Standard =  { x = 0.000, y = 0.000, z = 0.000 },
        FloorArrays = {
            [1] = {
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 }
            },
            [2] = {
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 0, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 1, 0, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 0, 1, 0, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 0, 0 }
            },
            [3] = {
                { 0, 1, 0, 1, 1, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 0, 1, 0, 1, 1, 0, 1, 1, 0, 1 },
                { 1, 0, 1, 1, 0, 0, 0, 0, 1, 1 },
                { 0, 1, 0, 1, 0, 1, 1, 1, 0, 1 },
                { 0, 1, 1, 1, 0, 1, 0, 1, 1, 1 },
                { 0, 1, 1, 1, 1, 0, 0, 1, 1, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 1, 1 },
                { 1, 0, 1, 1, 0, 0, 1, 0, 1, 0 }
            },
            [4] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 1, 0, 0, 0, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 0, 0, 0, 1, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [5] = {
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 }
            },
            [6] = {
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 0 },
                { 1, 1, 1, 1, 1, 0, 1, 0, 1, 0 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 0 },
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 1, 1, 1, 0, 1, 1, 1, 1, 1 },
                { 0, 1, 0, 1, 0, 1, 1, 1, 1, 1 },
                { 0, 1, 1, 1, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 }
            },
            [7] = {
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 0, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 }
            },
            [8] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 0, 0, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 0, 0, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [9] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [10] = {
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
            },
            [11] = {
                { 1, 0, 1, 0, 1, 0, 1, 0, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 }
            },
            [12] = {
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 }
            },
            [13] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [14] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 1, 0, 1, 1, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 0, 1, 1, 0, 1, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [15] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [16] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 0, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 1, 0, 1, 1, 0, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [17] = {
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 }
            },
            [18] = {
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [19] = {
                { 1, 1, 1, 0, 0, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 0, 0, 1, 1, 0, 0, 1, 1, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 1, 1, 0, 0, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 0, 0, 1, 1, 0, 0, 1, 1, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 1, 1, 0, 0, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 }
            },
            [20] = {
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 }
            },
            [21] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 }
            },
            [22] = {
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 }
            },
            [23] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 1 },
                { 1, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            }
        },
        HasInitFloorArray = false
    },
    [2] = {
        FloorArray_Size = { x = 10, y = 10 },
        InitFloorStyle = {
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 }
        },
        Pos_Standard = { x = -323.949, y = 20.583, z = 3.217 },
        Rot_Standard =  { x = 0.000, y = 0.000, z = 0.000 },
        FloorArrays = {
            [1] = {
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 0, 0, 1, 0, 0, 0, 0, 1, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 1, 0, 0, 0, 0, 1, 0, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 }
            },
            [2] = {
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 }
            },
            [3] = {
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 1, 1, 0, 0, 0, 0, 1, 1, 0 },
                { 0, 1, 0, 0, 0, 0, 0, 0, 1, 0 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 0, 1, 0, 0, 0, 0, 0, 0, 1, 0 },
                { 0, 1, 1, 0, 0, 0, 0, 1, 1, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
            },
            [4] = {
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 }
            },
            [5] = {
                { 0, 0, 0, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 0, 0 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 0, 0 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 0, 0, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 0, 0, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 1, 1, 1, 1, 1, 0, 0, 0 }
            },
            [6] = {
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 }
            },
            [7] = {
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 0, 1, 0, 0, 0, 0, 1, 0, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 0, 1, 0, 0, 0, 0, 1, 0, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 }
            },
            [8] = {
                { 0, 0, 1, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 0, 0, 1, 1, 1, 1, 1, 1, 0, 0 }
            },
            [9] = {
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 0, 1, 0, 0, 0, 0, 0, 0, 1, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 1, 0, 0, 0, 0, 0, 0, 1, 0 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 }
            },
            [10] = {
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 0, 0, 1, 0, 0, 0, 0, 1, 0, 0 },
                { 0, 0, 1, 0, 0, 0, 0, 1, 0, 0 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 0, 0, 1, 0, 0, 0, 0, 1, 0, 0 },
                { 0, 0, 1, 0, 0, 0, 0, 1, 0, 0 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 }
            },
            [11] = {
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 }
            },
            [12] = {
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 0, 1, 0, 0, 0, 0, 0, 0, 1, 0 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 0, 1, 0, 0, 0, 0, 0, 0, 1, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 }
            }
        },
        InitFloorArray =
        {
            { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
            { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
            { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
            { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
            { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
            { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
            { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
            { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
            { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
            { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
        },
        HasInitFloorArray = true
    },
    [3] = {
        FloorArray_Size = { x = 6, y = 6 },
        InitFloorStyle = {
            { 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4 }
        },
        Pos_Standard = { x = -319.949, y = 20.583, z = -0.783 },
        Rot_Standard =  { x = 0.000, y = 0.000, z = 0.000 },
        FloorArrays = {
            [1] = {
                { 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1 }
            },
            [2] = {
                { 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 1, 1 },
                { 1, 0, 0, 0, 0, 1 },
                { 1, 0, 0, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1 }
            },
                [3] = {
                { 0, 0, 0, 0, 0, 0 },
                { 0, 1, 1, 1, 1, 0 },
                { 0, 1, 0, 0, 1, 0 },
                { 0, 1, 0, 0, 1, 0 },
                { 0, 1, 1, 1, 1, 0 },
                { 0, 0, 0, 0, 0, 0 }
            },
            [4] = {
                { 1, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 0 }
            },
            [5] = {
                { 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0 }
            },
            [6] = {
                { 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1 }
            },
            [7] = {
                { 1, 0, 0, 0, 0, 1 },
                { 0, 1, 0, 0, 1, 0 },
                { 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0 },
                { 0, 1, 0, 0, 1, 0 },
                { 1, 0, 0, 0, 0, 1 }
            },
            [8] = {
                { 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1 }
            },
            [9] = {
                { 1, 1, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 0, 1 },
                { 1, 0, 1, 1, 0, 1 },
                { 1, 0, 1, 1, 0, 1 },
                { 1, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1 }
            },
            [10] = {
                { 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 0, 1 },
                { 1, 0, 1, 0, 0, 1 },
                { 1, 0, 0, 1, 0, 1 },
                { 1, 0, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1 }
            },
            [11] = {
                { 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1 }
            },
            [12] = {
                { 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0 },
                { 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1 },
                { 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0 }
            },
            [13] = {
                { 0, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 0 },
                { 0, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 0 },
                { 0, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 0 }
            },
            [14] = {
                { 0, 0, 0, 0, 0, 0 },
                { 0, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 0 },
                { 1, 0, 0, 0, 0, 1 },
                { 1, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1 }
            },
            [15] = {
                { 1, 1, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 1, 1 },
                { 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0 },
                { 1, 1, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 1, 1 }
            },
            [16] = {
                { 0, 0, 0, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 0, 0, 0 }
            }
        },
        HasInitFloorArray = false
    },
    [4] = {
        FloorArray_Size = { x = 10, y = 10 },
        InitFloorStyle = {
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 },
            { 1, 2, 3, 4, 1, 2, 3, 4, 1, 2 },
            { 3, 4, 1, 2, 3, 4, 1, 2, 3, 4 }
        },
        Pos_Standard = { x = -323.949, y = 20.583, z = 3.217 },
        Rot_Standard =  { x = 0.000, y = 0.000, z = 0.000 },
        FloorArrays = {
            [1] = {
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 }
            },
            [2] = {
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 0, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 1, 0, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 0, 1, 0, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 0, 0 }
            },
            [3] = {
                { 0, 1, 0, 1, 1, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 0, 1, 0, 1, 1, 1, 1, 0, 1, 0 },
                { 0, 1, 0, 1, 1, 0, 1, 1, 0, 1 },
                { 1, 0, 1, 1, 0, 0, 0, 0, 1, 1 },
                { 0, 1, 0, 1, 0, 1, 1, 1, 0, 1 },
                { 0, 1, 1, 1, 0, 1, 0, 1, 1, 1 },
                { 0, 1, 1, 1, 1, 0, 0, 1, 1, 1 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 1, 1 },
                { 1, 0, 1, 1, 0, 0, 1, 0, 1, 0 }
            },
            [4] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 1, 0, 0, 0, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 0, 0, 0, 1, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [5] = {
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 0, 1, 0, 1, 0, 0, 1, 0, 1, 0 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 }
            },
            [6] = {
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 0 },
                { 1, 1, 1, 1, 1, 0, 1, 0, 1, 0 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 0 },
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 1, 1, 1, 0, 1, 1, 1, 1, 1 },
                { 0, 1, 0, 1, 0, 1, 1, 1, 1, 1 },
                { 0, 1, 1, 1, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 }
            },
            [7] = {
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 0, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 0, 0 }
            },
            [8] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 0, 0, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 0, 0, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [9] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 0, 0, 0, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [10] = {
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
            },
            [11] = {
                { 1, 0, 1, 0, 1, 0, 1, 0, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 0, 1, 0, 1, 0, 1, 0, 1, 0, 1 }
            },
            [12] = {
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 },
                { 0, 0, 0, 1, 1, 1, 1, 0, 0, 0 }
            },
            [13] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 1, 0, 1, 1, 0, 1, 0, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [14] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 1, 0, 1, 1, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 0, 1, 1, 0, 1, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [15] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 0, 0, 1, 1, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 1, 1, 0, 0, 0, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [16] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 0, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 1, 0, 1, 0, 1, 1, 0, 1, 1 },
                { 1, 0, 0, 0, 1, 1, 0, 0, 0, 1 },
                { 1, 1, 0, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [17] = {
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 }
            },
            [18] = {
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 0, 0, 1, 1, 1, 1, 1, 1, 1, 1 }
            },
            [19] = {
                { 1, 1, 1, 0, 0, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 0, 0, 1, 1, 0, 0, 1, 1, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 1, 1, 0, 0, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 0, 0, 1, 1, 0, 0, 1, 1, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 1, 1, 0, 0, 1, 1, 0, 0, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 }
            },
            [20] = {
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 }
            },
            [21] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 0, 1, 1 },
                { 1, 1, 1, 1, 1, 1, 0, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 0, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 }
            },
            [22] = {
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 1, 1, 0, 0, 1, 1, 0, 0, 1, 1 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 },
                { 0, 0, 1, 1, 0, 0, 1, 1, 0, 0 }
            },
            [23] = {
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 1, 0, 0, 0, 0, 1 },
                { 1, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 1, 1, 1, 0, 0, 1, 1, 1, 1 },
                { 1, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
                { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
            }
        },
        HasInitFloorArray = false
    }
}

local TimeLines ={
    [1] = {
        WarnTimeLine =  { 3, 9, 15, 21, 26.5, 31.5, 36, 40.5, 45, 49, 52.5, 56 },
        StartTimeLine =  { 5, 11, 17, 23, 28.5, 33, 37.5, 42, 46.5, 50.5, 54, 57.5 },
        OverTimeLine =  { 7, 13, 19, 24.5, 30, 34.5, 39, 43.5, 48, 51.5, 55, 58.5 }
    },
    [2] = {
        WarnTimeLine =  { 2.5, 7.5, 12.5, 17.5, 22.5, 28.5, 34, 38.5, 43, 47, 50.5, 54},
        StartTimeLine =  { 4, 9, 14, 19, 24.5, 30.5, 35.5, 40, 44.5, 48.5, 52, 55.5},
        OverTimeLine =  { 5.5, 10.5, 15.5, 20.5, 26.5, 32.5, 37, 41.5, 46, 49.5, 53, 57.5}
    },
    [3] = {
        WarnTimeLine =  { 3, 8.5, 13.5, 19, 24, 29.5, 34.5, 40, 44.5, 48, 52.5, 56},
        StartTimeLine =  { 5, 10, 15.5, 20.5, 26, 31, 36.5, 41.5, 46, 49.5, 54, 57.5},
        OverTimeLine =  { 7, 11.5, 17.5, 22, 28, 32.5, 38.5, 43, 47, 51, 55, 58.5}
    },
    [4] = {
        WarnTimeLine =  { 3, 9, 15, 19.5, 24, 29, 35, 40.5, 45, 49, 52.5, 56 },
        StartTimeLine =  { 5, 11, 16.5, 21, 25.5, 31, 37, 42, 46.5, 50.5, 54, 57.5 },
        OverTimeLine =  { 7, 13, 18, 22.5, 27, 33, 39, 43.5, 48, 51.5, 55, 58.5 }
    }
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[2001] = { config_id = 2001, gadget_id = 70310054, pos = { x = -319.949, y = 20.104, z = -0.783 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[2002] = { config_id = 2002, gadget_id = 70310041, pos = { x = -318.926, y = 21.666, z = 15.307 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[2003] = { config_id = 2003, gadget_id = 70310054, pos = { x = -309.949, y = 20.104, z = -0.783 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[2004] = { config_id = 2004, gadget_id = 70310054, pos = { x = -319.949, y = 20.104, z = -10.783 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[2006] = { config_id = 2006, gadget_id = 70350025, pos = { x = -315.365, y = 30.314, z = -33.571 }, rot = { x = 0.000, y = 0.000, z = 180.000 }, level = 1 },
	[2007] = { config_id = 2007, gadget_id = 70350025, pos = { x = -315.348, y = 30.293, z = 23.406 }, rot = { x = 0.000, y = 0.000, z = 180.000 }, level = 1 },
	[2008] = { config_id = 2008, gadget_id = 70310054, pos = { x = -309.949, y = 20.104, z = -10.783 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[2010] = { config_id = 2010, gadget_id = 70310042, pos = { x = -314.962, y = 0.097, z = -3.593 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[2011] = { config_id = 2011, gadget_id = 70350214, pos = { x = -315.348, y = 27.980, z = -5.947 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[2012] = { config_id = 2012, gadget_id = 70310042, pos = { x = -315.348, y = 27.980, z = -5.947 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	[2005] = { config_id = 2005, shape = RegionShape.CUBIC, size = { x = 40.000, y = 10.000, z = 50.000 }, pos = { x = -316.177, y = 13.144, z = -5.801 } },
	[2009] = { config_id = 2009, shape = RegionShape.CUBIC, size = { x = 60.000, y = 50.000, z = 100.000 }, pos = { x = -316.177, y = 18.881, z = -5.801 } }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 2001, 2002, 2003, 2004, 2006, 2007, 2008, 2010, 2011, 2012 },
		regions = { 2005, 2009 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "WindFlora_RecordFloorBreakable"
require "WindFlora_ReTrans"
